import { world } from '@minecraft/server';

world.afterEvents.entityDie.subscribe((event) => {
  const entity = event.deadEntity;


  if (entity.typeId === "minecraft:player") {
    const playerName = entity.nameTag; 

    
    world.afterEvents.playerSpawn.subscribe((spawnEvent) => {
      if (spawnEvent.player.nameTag === playerName) {
        try {
          
          spawnEvent.player.runCommandAsync(`give @s minecraft:recovery_compass`);
        } catch (error) {
          console.error(`Failed to give recovery compass: ${error}`);
        }
      }
    });
  }
});