import { system, world } from '@minecraft/server';


world.beforeEvents.worldInitialize.subscribe(initEvent => { initEvent.itemComponentRegistry.registerCustomComponent('zc_farmin_wand:trigger', {
  onUse: e => { e.source.runCommand("function farmwand"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_efreezing_wand:trigger', {
  onUse: e => { e.source.runCommand("function freezwand"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_mining_wand:trigger', {
  onUse: e => { e.source.runCommand("function minewand"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_dragon_wand:trigger', {
  onUse: e => { e.source.runCommand("function dragowand"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_nightskeeper_wand:trigger', {
  onUse: e => { e.source.runCommand("function nighkwand"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_fire_wand:trigger', {
  onUse: e => { e.source.runCommand("function firewand"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_magnetic_wand:trigger', {
  onUse: e => { e.source.runCommand("tp @e[type=item,r=7]  @s"); },
  onUse: e => { e.source.runCommand("tp @e[family=mob,r=7]  @s"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_fly_wand:trigger', {
  onUse: e => { e.source.runCommand("function flywand"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_xp_wand:trigger', {
  onUse: e => { e.source.runCommand("function xpw"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_lifesteal_wand:trigger', {
  onUse: e => { e.source.runCommand("function lifesteal"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_poison_wand:trigger', {
  onUse: e => { e.source.runCommand("effect @e[family=mob,r=5] poison 2 1 false"); },
});

initEvent.itemComponentRegistry.registerCustomComponent('zc_summoning_wand:trigger', {
  onUse: e => { e.source.runCommand("function sumzom"); },
});
 });
 
 
 
 world.afterEvents.itemUse.subscribe(event => {
    const { source, itemStack } = event;
    
    if (source.typeId !== "minecraft:player") return; 

    if (itemStack.typeId === "zc:ender_wand") { 
        source.runCommand("teleport @s ^ ^ ^6");
        source.runCommand("playsound mob.shulker.teleport @s");
    } 
    
    if (itemStack.typeId === "zc:lighting_wand") { 
        source.runCommand("execute @e[family=mob,r=5] ~~~ summon lightning_bolt");
        source.runCommand("effect @s fire_resistance 7 7 true");
    } 
    
    
    
});