import { world } from "@minecraft/server";

world.afterEvents.itemUse.subscribe(event => {
    const { source, itemStack } = event;
    
    if (source.typeId !== "minecraft:player") return; 

    if (itemStack.typeId === "zc:splaster") { 
        source.runCommand("effect @s regeneration 3 2 true");
        source.runCommand("clear @s zc:splaster 0 1");
        source.runCommand("playsound ui.cartography_table.take_result @s");
    } 
    else if (itemStack.typeId === "zc:hstew") { 
        source.runCommand("effect @s regeneration 2 2 true");
        source.runCommand("clear @s zc:hstew 0 1");
        source.runCommand("playsound random.drink @s");
        source.runCommand("give @s bowl");
    } 
    else if (itemStack.typeId === "zc:dplaster") { 
        source.runCommand("effect @s regeneration 5 2 true");
        source.runCommand("clear @s zc:dplaster 0 1");
        source.runCommand("playsound ui.cartography_table.take_result @s");
    } 
    else if (itemStack.typeId === "zc:medicin") { 
        source.runCommand("effect @s slowness 0 0 true");
        source.runCommand("effect @s weakness 0 0 true");
        source.runCommand("effect @s mining_fatigue 0 0 true");
        source.runCommand("effect @s nausea 0 0 true");
        source.runCommand("effect @s poison 0 0 true");
        source.runCommand("effect @s hunger 0 0 true");
        source.runCommand("effect @s wither 0 0 true");
        source.runCommand("effect @s fatal_poison 0 0 true");
        
        source.runCommand("clear @s zc:medicin 0 1");
        source.runCommand("give @s zc:medicine_bottle 1 0");
        
        source.runCommand("playsound random.drink @s");

        source.runCommand("effect @s regeneration 3 2 true");
    }
});
